Ubuntu

"dim display when idle" only dims but doesn't restore the previous value when not idle anymore

Reported by Christian Stöveken on 2009-06-25
204
This bug affects 28 people
Affects Status Importance Assigned to Milestone
gnome-power-manager (Ubuntu)
Low
Unassigned

Bug Description

When idle for some (I'd say random) time the screen dims automatically on battery but when using the mouse/keyboard again it doesn't automatically restore the previous brightness level.

Sometimes this is only triggered when moving the mouse (maybe other activities as well) after some idle time.

Also the screen is sometimes set to the lowest brightness level, other times just to (seemingly?) random levels.
Sometimes even blacks out for a fraction of a second while doing so.

The computer I'm experiencing this issue with is a MSI Wind U100.

Architecture: i386
DistroRelease: Ubuntu 9.10
ProcEnviron:
 SHELL=/bin/bash
 LANG=de_DE.UTF-8
Uname: Linux 2.6.30-10-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

description: updated

What happens is that the screen dims after a while when "dim display when idle" is enabled,
but it doesn't get brighter when using the PC again.

Grapics card is an Intel 945 GME.

affects: ubuntu → gnome-power-manager (Ubuntu)
summary: - [Karmic] screen dims automatically on battery every now and then
+ [Karmic] "dim display when idle" only dims but doesn't restore the
+ previous value when not idle anymore
tags: added: i945gme karmic

This is happening to me too, on a Dell Latitude D510, with an Intel 915GM. The backlight level can be turned up fully and the OSD reacts correctly. However, when the display dims on idle and drops to around half brightness or less, un-idling will result in the display brightness only increasing one level instead of back to the previous level. It will properly return to the previous brightness level when plugging/unplugging AC, just not on idle.

HaDAk (skipmeister123) wrote :

I have dim on idle disabled, and regardless of being plugged in or not, it randomly dims (sometimes while I'm using the computer, and after 2-5 seconds, and sometimes while it's sitting idle, and after 20-40 seconds). I have an Intel 945 gme, I do believe (Eee 1005HAB). It's extremely annoying.

m4cph1sto (dlreid) wrote :

I confirm this bug on an Eee PC 1005HA. The display dimming behavior on battery power seems unpredictable (sometimes it dims after a few seconds idle, sometimes much longer), and when the computer is active again (e.g. by touching the keyboard/trackpad) the display returns to its "default" brightness, rather than the brightness to which I had previously set it. The default brightness is generally brighter than is needed for indoor viewing, and therefore drains the battery faster, so I am continually forced to re-lower the brightness after every time it dims.

Chris Pearson (kermit4) wrote :

This seems to be 2 or 3 bugs actually, I can confirm both.

1) it at some random amount of idless, usually between 10 and 50 seconds
2) when i'm no longer idle, the screen stays dim
3) the 'dim when idle' power option isnt even on

This is a Dell E6400

Chris Pearson (kermit4) wrote :

apt-get remove gnome-power-manager

fixes it

this is duplicated in https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/478308

m4cph1sto (dlreid) wrote :

Chris this is not a duplicate of #478308. The title of the current bug is very clear: "'dim display when idle' only dims but doesn't restore the previous value when not idle anymore." #478308 states "Dim when idle won't turn off". These are separate bugs. You and other users have posted descriptions of several different bugs here, all relating to display dimming, and perhaps these different bugs should be filed as separate reports. The current bug report is not resolved by removing g-p-m, because that stops display dimming. What is desired is for the display to still dim, but to restore the previous brightness value rather than some default brightness when the mouse/keyboard is activated again.

The bug described in this report would be resolved easily enough, if g-p-m were to remember the current user-setting of the brightness level, and then restore that value after dimming.

Amen to that.

So when confirming the bug - aren't you supposed to change the status to confirmed - or is that up to a developer?

m4cph1sto (dlreid) on 2009-11-21
Changed in gnome-power-manager (Ubuntu):
status: New → Confirmed
Lanoxx (lanoxx) on 2009-12-26
description: updated
lofgole (lofgole) wrote :

Same here with an Asus EEE 1000h. It seems like the BIOS sets the backlight direct and does not inform the system about it. "xrandr --prop" detects the correct backlight value but gnome-power-manager seems not to be aware of it. There is also no notify osd while changing the brightness.

lofgole (lofgole) wrote :
Changed in gnome-power-manager (Ubuntu):
importance: Undecided → Low
summary: - [Karmic] "dim display when idle" only dims but doesn't restore the
- previous value when not idle anymore
+ "dim display when idle" only dims but doesn't restore the previous value
+ when not idle anymore
Eugene San (eugenesan) wrote :

Still correct for Lucid with gnome-power-manager 2.30.0-0ubuntu1

Praetor77 (geramses) wrote :

I have similar problems.The problems started when I DISABLED dim when idle. Now, independently of whether I have dim when idle enabled or not, the screen dims every 1-2 minutes, and sometimes it does not dim when idle, but dims when I move the mouse.... I am on a Asus 1005HA.

hackel (hackel) wrote :

I am experiencing this issue as well. I discovered that the Power Manager Brightness Applet "Cannot get laptop panel brightness," even though notify-osd correctly displays the brightness when I manually adjust it (using my laptop's acpi hotkeys). So I am wondering if Gnome Power Manager is attempting to get the current brightness from the same place as Power Manager Brightness Applet, and when it fails, it sets the un-idle brightness to the hard-coded value of 50% (from /apps/gnome-power-manager/backlight/brightness_dim_battery).

Unfortunately it's very difficult to test this, because the idle dimming is not triggered every time after 10 seconds (gconf setting) as I would expect. I'm not sure what is going on here. It does seem almost random when it is triggered.

For some inexplicable reason, they have removed the setting from G-P-M preferences to control what you want your brightness set to when idle. The gconf setting is not absolute, but rather a percentage of the full brightness setting--this I just think is counter-intuitive. In any case,

Some of the problem may also have to do with rounding errors. My computer has 8 brightness levels: 12 24 36 48 60 72 84 100. I have brightness_ac set to 100. Then using the acpi hotkeys, I turn the brightness down 1 level to 84. I unplug my AC cable, and it drops to 48 (42 is halfway between 36 and 48 so it rounds up I guess?). Then, when I plug the cable back in, it gets reset to 72! I cannot explain this at all. It repeats this same pattern for every brightness level below 100, but if it is initially at 100 when I unplug it, it gets restored to 100 just fine.

I'm not sure all of this is applicable to this bug, it seems like there are several things all going wrong at once here. And I imagine it's machine-specific as well, leading to quite a wonderful mess!

Artik (aritomo) wrote :

Can confirm this (the wrong restoration of backlight after dimming) still on 11.04 and eeePC 1005HAG

Florian M. (esion) wrote :

Same problem on 11.04 and MSI Wind

Justyn Butler (justyn) wrote :

Have you tried unchecking the "reduce backlight brightness" option in power management?

I was seeing this problem under Ubuntu 11.04 on my 2nd-gen Core i7 laptop, that after dimming the brightness would always increase only to 50% regardless of what I had set the brightness to before.

However when I uncheck the "reduce backlight brightness" box for "on battery power" (which automatically reduces backlight when you disconnect from the AC supply) the dimming works as expected and afterwards returns my brightness to whatever level it was before it dimmed.

Willem de Groot (gwillem) wrote :

Confirming this on Macbook Air 3,2 with Ubuntu 11.4 64bit. "Dim when idle" turned on, will at random intervals dim but then only restores brightness afterwards to about 50%.

Alex Lusco (alex-lusco) wrote :

I can confirm that this problem went away after unchecking "reduce backlight brightness" box for "on battery power" as suggested by Justyn in #17.

My symptoms were the same as described where it would dim quicker than the 30 seconds idle and when the mouse moved it would never return the previous brightness. With this option unchecked it fixed this issue. Interestingly this setting seems to interfere in a number of areas and I suspect the problems people are having are due to conflicts with this setting. For example:

If I turn the brightness all the way up using my hardware buttons (with this setting enabled) it goes to full brightness; however, if I open the power management system app it immediately dims to what I presume should be the maximum with the setting enabled.

Possibly this means that the issue has more to do with the brightness buttons ignoring the reduce backlight brightness options and the system getting confused. I'm not sure how the power management is handled (though I plan to look) but perhaps the seemingly too quick dim is actually the system periodicly checking and noticing the brightness is higher than the reduced maximum and adjusting. A normal user would interpret this as an idle event when in fact it is unrelated.

Morale of this story I think the problem is with the brightness buttons allowing the maximum brightness using the "reduce backlight brightness" to be bypassed causing the system to appear to randomly dim the screen and not appropriately restore the brightness when coming out of idle.

Alex Lusco (alex-lusco) wrote :

I'm very confident now in my previous statement and I'm pretty sure have found the bug.

Attached is a log file (that is only sort of helpful) using gnome-power-manager --verbose and it shows the following:

Turning on "reduce backlight brightness" -> Backlight immediately goes to 50 (the new "max")
Use hardware keys to turn brightness up -> Brightness will move all the way to 100 (past the "max")
Leave computer idle* ->brightness adjusts for idle dim amount of 15
User responds by moving mouse to kick out of idle more -> brightness will increase to reduced "max" of 50

So the immediate issue is that the hardware buttons are not respecting the "reduced backlight brightness" button. The clearly make it go past the max level of 50% and causes the unexpected behavior when coming out of idle. So the easiest resolution I think is make the hardware buttons respect the reduced backlight (note all the reduced backlight option does is multiply the normal backlight percentage by .5). This will cause some user confusion though as to why they can't make the brightness go all the way up so there needs to be some type of user feedback when the max is hit in this mode, probably as part of the nice little popup that comes up when hitting the brightness keys. I haven't inspected the code yet but it seems that the hardware keys really just ignore any of the internal scale options on the correct brightness percentage (shown below). If possible I'm just going to try make them utilize this percentage and the entire problem should be corrected. I've never looked at this code though so it may take me a while to figure it out.

TI:20:15:35 TH:0x1ba3c80 FI:gpm-backlight.c FN:gpm_backlight_brightness_evaluate_and_set,311
 - 1. main brightness 1.000000
TI:20:15:35 TH:0x1ba3c80 FI:gpm-backlight.c FN:gpm_backlight_brightness_evaluate_and_set,331
 - 2. battery scale 0.500000, brightness 0.500000
TI:20:15:35 TH:0x1ba3c80 FI:gpm-backlight.c FN:gpm_backlight_brightness_evaluate_and_set,349
 - 3. idle scale 1.000000, brightness 0.500000

* Now I can't prove this but it seems that it dims quickly when in reduced brightness mode like idle comes quicker. Maybe this is just paranoia. Regardless there should really be an option to set the idle timeout period to dim the screen and I can't find one.

Alex Lusco (alex-lusco) wrote :

I think my change is all that will be needed to fix it, unfortunately I'm not sure how to build the dang thing so until I figure that out I can't test the patch. Regardless if someone can point me to an outline on how to build it or test it for me let me know.

Alex Lusco (alex-lusco) wrote :

Also I'm not so sure I followed the style recommendations now that I think about it, my vim is setup for expandtabs and 2spaces=tab so it may require some changes if this actually fixes it. If I can get it to build to test I will update the patch if needed.

tags: added: patch
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments